%global momorel 1

Summary: Fast anti-spam filtering by Bayesian statistical analysis
Name: bogofilter
Version: 0.95.2
Release: %{momorel}m
License: GPL
URL: http://bogofilter.sourceforge.net/
Group: Applications/Internet
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/bogofilter/%{name}-%{version}.tar.bz2 43da78d185f6a206923e6fb8e50c6fe7
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: db4, gsl
BuildPreReq: db4-devel, gsl

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.

%prep
%setup -q

%build
CFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mv %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

# install contrib
for d in contrib ; do
  install -d %{buildroot}%{_datadir}/%{name}/$d
  files=$(find "$d" -maxdepth 1 -type f -print)
  for f in $files ; do
    case $f in
      *.c|*.o|*.obj|*/Makefile*) continue ;;
      *.1)
	cp -p $f %{buildroot}%{_mandir}/man1 ;;
      *)
	cp -p $f %{buildroot}%{_datadir}/%{name}/$d ;;
    esac
  done
done

# for doc
for n in xml html ; do
  install -d .inst/$n
  install -m644 doc/*.$n .inst/$n
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING GETTING.STARTED INSTALL NEWS README* RELEASE.NOTES TODO
%doc bogofilter.cf.example
%doc doc/bogofilter-SA* doc/integrating* doc/README.*db doc/rpm.notes.BerkeleyDB
%doc .inst/html .inst/xml
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/bf_compact
%{_bindir}/bf_copy
%{_bindir}/bf_tar
%{_bindir}/bogofilter
%{_bindir}/bogolexer
%{_bindir}/bogotune
%{_bindir}/bogoupgrade
%{_bindir}/bogoutil
%{_datadir}/bogofilter
%{_mandir}/man1/bf_compact.1*
%{_mandir}/man1/bf_copy.1*
%{_mandir}/man1/bf_tar.1*
%{_mandir}/man1/bogofilter.1*
%{_mandir}/man1/bogolexer.1*
%{_mandir}/man1/bogotune.1*
%{_mandir}/man1/bogoupgrade.1*
%{_mandir}/man1/bogoutil.1*

%changelog
* Fri Jul 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.95.2-1m)
- initial package for sylpheed-2.0.0
